<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools">
    <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
                                       android:layout_width="match_parent"
                                       android:layout_height="wrap_content"
                                       card_view:cardElevation="1dp"
                                       card_view:cardCornerRadius="4dp">
        <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="5dp">

            <com.makeramen.roundedimageview.RoundedImageView
                    xmlns:app="http://schemas.android.com/apk/res-auto"
                    android:layout_width="80dp" android:layout_height="80dp"
                    tools:srcCompat="@tools:sample/avatars" android:id="@+id/imgView"
                    app:layout_constraintTop_toTopOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:riv_corner_radius="8dip"
                    app:riv_oval="true"/>
            <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/tvTitle" app:layout_constraintTop_toTopOf="parent"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toTopOf="@+id/tvDate" app:layout_constraintStart_toEndOf="@+id/imgView"
                    android:textSize="18sp"
                    android:layout_marginStart="8dp" card_view:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginEnd="8dp"/>
            <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/tvDate"
                    android:textStyle="italic"
                    app:layout_constraintTop_toBottomOf="@+id/tvTitle"
                    app:layout_constraintBottom_toTopOf="@+id/tvContent"
                    app:layout_constraintStart_toStartOf="@+id/tvTitle"
                    card_view:layout_constraintEnd_toEndOf="parent" android:layout_marginEnd="8dp"/>
            <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/tvContent"
                    app:layout_constraintBottom_toBottomOf="parent" app:layout_constraintTop_toBottomOf="@+id/tvDate"
                    android:maxLines="2"
                    android:textSize="12sp"
                    app:layout_constraintStart_toStartOf="@+id/tvDate" card_view:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginEnd="8dp"/>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>
</layout>